ATA_DEV_TRY_CLASSI(9)

NAME
ata_dev_try_classify - Parse returned ATA device signature

SYNOPSIS

u8 ata_dev_try_classify (struct ata_port * ap, unsigned int device);

ARGUMENTS

ap  ATA channel to examine

device
    Device to examine (starting at zero)

DESCRIPTION

After an event -- SRST, E.D.D., or SATA COMRESET -- occurs, an ATA/ATAPI-defined set of values is placed in the ATA shadow registers, indicating the results of device detection and diagnostics.

Select the ATA device, and read the values from the ATA shadow registers. Then parse according to the Error register value, and the spec-defined values examined by ata_dev_classify.

LOCKING

caller.

AUTHOR
Jeff Garzik.